BufferChunk (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class BufferChunk

- java.lang.Object
- - org.apache.hadoop.hive.common.io.DiskRange
  - - org.apache.hadoop.hive.common.io.DiskRangeList
    - - org.apache.orc.impl.BufferChunk

-     public class BufferChunk
      extends DiskRangeList

  The sections of stripe that we have read. This might not match diskRange - 1 disk range can be multiple buffer chunks, depending on DFS block boundaries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hive.common.io.DiskRangeList

      `DiskRangeList.CreateHelper, DiskRangeList.MutateHelper`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.hive.common.io.DiskRangeList

      `next, prev`

    - ### Fields inherited from class org.apache.hadoop.hive.common.io.DiskRange

      `end, offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferChunk(ByteBuffer chunk, long offset)`
    `BufferChunk(long offset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `ByteBuffer` | `getData()`
    `boolean` | `hasData()`
    `int` | `hashCode()`
    `void` | `setChunk(ByteBuffer chunk)`
    `DiskRange` | `sliceAndShift(long offset, long end, long shiftBy)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.hive.common.io.DiskRangeList

      `getTotalLength, hasContiguousNext, insertAfter, insertPartAfter, insertPartBefore, listSize, listToArray, removeAfter, removeSelf, replaceSelfWith, setEnd, split, stringifyDiskRanges`

    - ### Methods inherited from class org.apache.hadoop.hive.common.io.DiskRange

      `equalRange, getEnd, getLength, getOffset, merge`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferChunk

          public BufferChunk(long offset,
                             int length)

    - #### BufferChunk

          public BufferChunk(ByteBuffer chunk,
                             long offset)

  - ### Method Detail

    - #### setChunk

          public void setChunk(ByteBuffer chunk)

    - #### hasData

          public boolean hasData()

      Overrides:
        `hasData` in class `DiskRange`

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `DiskRange`

    - #### sliceAndShift

          public DiskRange sliceAndShift(long offset,
                                         long end,
                                         long shiftBy)

      Overrides:
        `sliceAndShift` in class `DiskRange`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `DiskRange`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DiskRange`

    - #### getData

          public ByteBuffer getData()

      Overrides:
        `getData` in class `DiskRange`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.